# POST /v4/config/decode/args/createCampaign

_Merkl API_

Decodes arguments of the create campaign function back to the original campaign configuration.

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "distributionChainId": {
      "description": "Chain ID where the campaign is being created",
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "description": "Chain ID where the campaign is being created",
          "type": "number"
        }
      ]
    },
    "args": {
      "description": "Arguments of the call to the createCampaign function"
    }
  },
  "required": [
    "distributionChainId",
    "args"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "distributionChainId": {
      "description": "Chain ID where the campaign is being created",
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "description": "Chain ID where the campaign is being created",
          "type": "number"
        }
      ]
    },
    "args": {
      "description": "Arguments of the call to the createCampaign function"
    }
  },
  "required": [
    "distributionChainId",
    "args"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "distributionChainId": {
      "description": "Chain ID where the campaign is being created",
      "anyOf": [
        {
          "format": "numeric",
          "default": 0,
          "type": "string"
        },
        {
          "description": "Chain ID where the campaign is being created",
          "type": "number"
        }
      ]
    },
    "args": {
      "description": "Arguments of the call to the createCampaign function"
    }
  },
  "required": [
    "distributionChainId",
    "args"
  ]
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/config/decode/args/createCampaign" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```